All of lore.kernel.org
 help / color / mirror / Atom feed
From: Milan Broz <mbroz@redhat.com>
To: lvm-devel@redhat.com
Subject: [PATCH] fix some issues in clvmd initscript
Date: Thu, 03 Jun 2010 11:51:39 +0200	[thread overview]
Message-ID: <4C077B2B.5030206@redhat.com> (raw)
In-Reply-To: <4C07543C.5040908@redhat.com>

On 06/03/2010 09:05 AM, Fabio M. Di Nitto wrote:
> On 5/26/2010 3:01 PM, Milan Broz wrote:
>> - if daemon is already running, do nothing (and not reactivate VGs)
>>
>> - always explicitly return exit code in reload()
>>
>> - fix restart() so it really tries full start & stop and returns exit code
>>   if clvmd -S fails and also touch lockfile afterwards
>>
>> --- clvmd.old	2010-05-26 14:21:15.000000000 +0200
>> +++ clvmd	2010-05-26 14:55:17.671245376 +0200
>> @@ -63,11 +63,12 @@ rh_status_q() {
>>  
>>  start()
>>  {
>> -	if ! rh_status_q; then
>> -		echo -n "Starting $DAEMON: "
>> -		daemon $DAEMON $CLVMDOPTS || return $?
>> -		echo
>> -	fi
>> +
>> +	rh_status_q && return 0
>> +
>> +	echo -n "Starting $DAEMON: "
>> +	daemon $DAEMON $CLVMDOPTS || return $?
>> +	echo
> 
> careful with this change as it modifies the behavior compared to the old
> init script.

So you want reactivate LVs even if clvmd is already running?
This is wrong IMHO.

Milan



  reply	other threads:[~2010-06-03  9:51 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-05-26 13:01 [PATCH] fix some issues in clvmd initscript Milan Broz
2010-06-03  7:05 ` Fabio M. Di Nitto
2010-06-03  9:51   ` Milan Broz [this message]
2010-06-03 11:43     ` Fabio M. Di Nitto
2010-06-03 18:31       ` brem belguebli
2010-06-03 19:51         ` Alasdair G Kergon
2010-06-03 20:15           ` Brem Belguebli
2010-06-03 20:20             ` Alasdair G Kergon
2010-06-03 20:25               ` Brem Belguebli
2010-06-03 20:34                 ` Alasdair G Kergon
2010-06-03 20:57                   ` Brem Belguebli

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=4C077B2B.5030206@redhat.com \
    --to=mbroz@redhat.com \
    --cc=lvm-devel@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.